hub-sync(1)

NAME
hub-sync - Fetch git objects from upstream and update local branches.

SYNOPSIS

hub sync [--color]

•   If the local branch is outdated, fast-forward it;

•   If the local branch contains unpushed work, warn about it;

•   If the branch seems merged and its upstream branch was deleted, delete it.

If a local branch does not have any upstream configuration, but has a same-named branch on the remote, treat that as its upstream branch.

OPTIONS

--color[=WHEN]
    Enable colored output even if stdout is not a terminal. WHEN can be one of "always" (default for --color), "never", or "auto" (default).

SEE ALSO

hub(1), git-fetch(1)